<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>memo_automation</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../pandoc.css" />
</head>
<body>
<h1 id="automate-everything-with-ansible">Automate Everything With Ansible</h1>
<h2 id="vue-densemble">Vue d’ensemble</h2>
<p><em>Presentation par Belkacem Moussouni - Business Devlopment Lead pour la région EMA(belka@redhat.com), voir les slides <a href="Ansible_Automation_Beyond_Linux.pdf">ici</a></em></p>
<p>Depuis fin 2018, <strong>Ansible est dans le top 10 des projets Open Source</strong>, très apprécié de la communauté, aussi bien sur Linux, que sur <strong>Windows</strong> (90+ modules) et maintenant sur les plateformes <strong>réseau</strong> (50+ plateformes, 700+ modules).</p>
<p>La version entreprise <strong>Ansible Tower</strong> a déjà conquis plus de 1000 clients soit un parc d’environ 2 millions de machines déployées grâce à Ansible.</p>
<p>Le focus de la solution entreprise à d’abord porté sur l’infrastructure (depuis le rachat en 2015), aujourd’hui le focus est sur la partie réseau et demain sur la sécurité et le stockage.</p>
<p>L’ecosystème <strong>Ansible Galaxy</strong> est en pleine croissance et la dernière nouveauté est la <strong>certification des rôles et des modules</strong> par les équipes Red Hat.</p>
<p><img src="img1.jpg" alt="Image 1" /> <img src="img2.jpg" alt="Image 2" /></p>
<h2 id="red-hat-insights">Red Hat Insights</h2>
<p><em>Presentation &amp; Demo par David Clauvel</em></p>
<p>Red Hat Insights est un outil IT d’analyse prédictive. Il aide ses utilisateurs au travers d’une AI de type SaaS à identifier, trier et résoudre les vulnérabilités détectées sur leurs machines avant qu’elles soient compromises.</p>
<p>Insights est intégré à RHEL et Satellite (&gt; 5.8), et s’intègre dans Ansible Tower grâce à un plugin.</p>
<h3 id="que-fait-insights">Que fait Insights ?</h3>
<ul>
<li><strong>analyse</strong> l’infrastructure grâce à des playbooks Ansible</li>
<li><strong>présente des rapports</strong> lisible permettant de gérer la sécurité d’une infrastructure</li>
<li>présente le <strong>détail des vulnérabilités</strong> détectées afin de mieux les <strong>prioriser</strong></li>
<li><strong>génère des playbooks Ansible</strong> de remédiation des vulnérabilités</li>
<li>permet de lancer les playbooks générés sur une ou sur un groupe de machines</li>
<li>permet de créer des <strong>plans</strong> de sécurisation</li>
</ul>
<p><a href="https://www.ansible.com/blog/easy-integration-using-ansible-tower-and-red-hat-insights">Guide sur Ansible Tower &amp; Insights</a></p>
<h2 id="ansible-tower">Ansible Tower</h2>
<p><em>Démo par Victor Da Costa - <a href="https://github.com/victorock/loadbalance_demo">Lien GitHub</a></em></p>
<h3 id="les-atouts-de-tower">Les atouts de Tower:</h3>
<ul>
<li>full <strong>HTML5</strong></li>
<li>nombreux <strong>plugins</strong></li>
<li><strong>REST API</strong> and <strong>CLI</strong></li>
<li>permet des gérer les <strong>playbooks Ansible</strong> de manière sécurisée sur un parc de machines</li>
<li><strong>gestion d’utilisateurs</strong> (SAML, AD, LDAP, etc) et <strong>contrôle d’accès</strong></li>
<li>stockage sécurisé des <strong>credentials</strong> d’accès aux machines et services IT &amp; Cloud</li>
<li>gère des projets hébergés sur GIT</li>
<li>utilise des <strong>templates</strong> pour mettre en place des <strong>jobs</strong> planifiables et dotés de permissions</li>
<li>les jobs peuvent être mis en place via des <strong>survey</strong> qui sont des formulaires pré-remplis permettant aux utilisateurs non administrateurs d’exécuter des playbooks</li>
<li>le <strong>job slicing</strong> permet de dimensionner la charge sur la machine exécutant les playbooks</li>
<li><strong>gestion d’inventaire</strong> supportant les providers majeurs de cloud et containers, basé sur le <strong>gather facts</strong> d’Ansible Engine avec une intégration facile d’Insights</li>
<li>les <strong>workflows</strong> permettent de créer des pipelines de jobs qui peuvent être imbriqués, conditionnés, chaînés, etc. Les résultats des jobs peuvent être réutilisés par les jobs suivants (<code>set_stats</code>)</li>
<li>les <strong>logs</strong> sont stockés (base de données posgres) de manière sécurisé et peuvent être exportés dans des outils d’analyse</li>
</ul>
<p><a href="https://www.ansible.com/products/tower/demo">Ansible Tower Demo</a></p>
</body>
</html>
